MANPATH(1)

NOME
manpath - determina o caminho de pesquisa por páginas de manual

SINOPSE
manpath [-qgdc?V] [-m sistema[,...]] [-C arquivo]

DESCRIÇÃO
Se $MANPATH estiver definido, manpath apenas exibirá seu conteúdo e emitirá um aviso. Se não, manpath determinará um caminho adequado de hierarquia de página de manual e exibirá os resultados. O caminho, delimitado por caractere de dois pontos, é determinado usando informação obtida a partir do arquivo de configuração man-db – (/etc/man_db.conf) e o ambiente do usuário.

OPÇÕES

-q, --quiet
    Não emite avisos.

-d, --debug
    Emite mensagens de depuração.

-c, --catpath
    Produz um caminho cat em oposição a um caminho man. Uma vez que o caminho man seja determinado, cada elemento de caminho é convertido para seu caminho cat relativo.

-g, --global
    Produz um caminho man consistindo em todos caminhos denominados como "globais" dentro do arquivo de configuração do man-db.

-m sistema[,...], --systems=sistema[,...]
    If this system has access to other operating systems' manual hierarchies, this option can be used to include them in the output of manpath. To include NewOS's manual page hierarchies use the option -m NewOS. O sistema especificado pode ser uma combinação de nomes de sistemas operacionais delimitados por vírgula. Para incluir as hierarquias de página de manual do sistema operacional nativo, o man do nome de sistema deve ser incluído no texto do argumento. Essa opção vai sobrescrever a variável de ambiente $SYSTEM.

-C arquivo, --config-file=arquivo
    Use this user configuration file rather than the default of ~/.manpath.

-?, --help
    Imprime uma mensagem de ajuda e sai.

--usage
    Imprime uma mensagem curta e sai.

-V, --version
    Exibe informação da versão.

AMBIENTE

MANPATH
    If $MANPATH is set, manpath displays its value rather than determining it on the fly. See the SEARCH PATH section of manpath(5) for the default behaviour and details of how this environment variable is handled.

SYSTEM
    Se $SYSTEM estiver definido, ele terá o mesmo efeito que se fosse especificado como um argumento da opção -m.

ARQUIVOS

/etc/man_db.conf
    O arquivo de configuração do man-db.

VEJA TAMBÉM
apropos(1), man(1), whatis(1)

AUTOR
Wilf. (G.Wilford@ee.surrey.ac.uk).
Fabrizio Polacco (fpolacco@debian.org).
Colin Watson (cjwatson@debian.org).

PROBLEMAS
https://gitlab.com/man-db/man-db/-/issues
https://savannah.nongnu.org/bugs/?group=man-db